Next: SUM, Previous: STAT, Up: Intrinsic Procedures

### 8.235 `STORAGE_SIZE` — Storage size in bits

Description:
  Returns the storage size of argument A in bits.
Standard:
  Fortran 2008 and later
Class:
  Inquiry function
Syntax:
  `RESULT = STORAGE_SIZE(A [, KIND])`
Arguments:

  A | Shall be a scalar or array of any type.
  KIND | (Optional) shall be a scalar integer constant expression.

Return Value:
  The result is a scalar integer with the kind type parameter specified by KIND (or default integer type if KIND is missing). The result value is the size expressed in bits for an element of an array that has the dynamic type and type parameters of A.
See also:
  C_SIZEOF, SIZEOF